package #1.#y#2;

import paraselene.*;
import paraselene.supervisor.*;
import paraselene.dyna.*;

/**
 * #3
 */
public abstract class #4 extends #1.SuperPage {
private static final long serialVersionUID = 1L;
/**
 * コンストラクタ。
 */
public #4() {
super();
try {
setInitialized( true );
}
catch( Exception e ) {
Option.debug( e );
}
}
/**
 * ページIDの取得。
 * @return ページID。#1.#x.PageType.#6。
 */
public PageID getID() {
return #1.#x.PageType.#6;
}
/**
 * ブラウザに403を返す。
 * @param req リクエスト内容。
 * @param fw デフォルト遷移先。
 * @exception PageException 処理の継続が不可能(ブラウザには500を返す)。
 */
public Forward inputMain( RequestParameter req, Forward fw ) throws PageException {
return new Forward( 403 );
}
/**
 * 初回outputの呼び出しメイン処理。
 * @param req リクエスト内容。
 * @exception PageException 処理の継続が不可能(ブラウザには500を返す)。
 */
public void firstOutputMain( RequestParameter req ) throws PageException {}
/**
 * 履歴追加方法。<br>
 * History.add()を行う際に呼ばれる。
 * 過去に同一ページがあれば、直近からそのページまでの履歴をクリアする。
 * この動作を指定できる。trueならクリア、falseなら維持する。
 * @return 常にfalseを返す。
 */
public boolean isHistoryClear() { return false; }
/**
 * 履歴追加許可。<br>
 * History.add()を行う際に呼ばれる。
 * @return 常にfalseを返す。
 */
public boolean isAllowHistoryAdd() { return false; }
public NameDefine[] inspectName( Page page, String ... exclude ){ return null;}
}

